# Skill (deprecated)

{% hint style="danger" %} <mark style="color:red;">**This resource is deprecated.**</mark> <mark style="color:red;">You should consider using our GraphQL API with the</mark> <mark style="color:red;">`Skill`</mark> <mark style="color:red;">object.</mark>
{% endhint %}

## **List your skills**

`GET /skill`

See below to discover used fields and see [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Filters**

| Filter       | Description             | Use                         |
| ------------ | ----------------------- | --------------------------- |
| operator\_id | Operator identifier     | `?filters[operator_id]=123` |
| parent\_id   | Parent skill identifier | `?filters[parent_id]=123`   |

## **Get skill details**

`GET /skill/1984`

See [reading section](/technologies/rest-api.md#read) to discover some output examples.

### **Fields**

| Field                                                                                      | Description                  | Values                     |
| ------------------------------------------------------------------------------------------ | ---------------------------- | -------------------------- |
| id                                                                                         | Skill identifier             | Integer                    |
| name                                                                                       | Name                         | String                     |
| order                                                                                      | Order                        | Integer                    |
| created\_at                                                                                | Date of creation             | Date `YYYY-MM-DD HH:MM:SS` |
| parent\_id                                                                                 | Parent skill identifier      | Integer                    |
| operator\_list **Deprecated: use the Operator resource with the skill\_id filter instead** | List of operator identifiers | List of integers           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iadvize.dev/technologies/rest-api/skill-deprecated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
